Bug 1462765 - [RFE] Provide automation for host preparation
[RFE] Provide automation for host preparation
Status: NEW
Product: OpenShift Container Platform
Classification: Red Hat
Component: RFE (Show other bugs)
3.5.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.7.0
Assigned To: Brenton Leanhardt
Xiaoli Tian
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-19 09:32 EDT by Marko Myllynen
Modified: 2017-08-22 16:21 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marko Myllynen 2017-06-19 09:32:09 EDT
Description of problem:
https://docs.openshift.com/container-platform/latest/install_config/install/host_preparation.html describes the long list of the needed steps to prepare a host for OCP installation.

This should be fully automated.

There is already a playbook doing this automatically, perhaps it could be used for inspiration here:

https://github.com/myllynen/openshift-automation-tools/blob/master/conf/prep.yml

Thanks.
Comment 1 Brenton Leanhardt 2017-07-13 08:56:08 EDT
Hi Marko,

We're focusing the majority of our host preparation simplification on the containerized installation on OpenShift.  Even Docker will run as a container (a system container).  When using the containerized install there would be no need to manage complicated repository configuration steps which is essentially what the "Host Preparation" documentation is about.

Other improvements for admins who don't even want to bother with host subscription concerns is our effort on shipping "golden images".
Comment 2 Brenton Leanhardt 2017-07-13 09:00:21 EDT
I'm adding a link to a trello card for containerizing the installation process.  In short, we understand the need for a simple cluster bootstrapping process.

Note You need to log in before you can comment on or make changes to this bug.